KeyRange (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class KeyRange

- java.lang.Object
- - org.apache.cassandra.thrift.KeyRange

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<KeyRange>, org.apache.thrift.TBase<KeyRange,KeyRange._Fields>

      public class KeyRange
      extends java.lang.Object
      implements org.apache.thrift.TBase<KeyRange,KeyRange._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<KeyRange>

  The semantics of start keys and tokens are slightly different. Keys are start-inclusive; tokens are start-exclusive. Token ranges may also wrap -- that is, the end token may be less than the start one. Thus, a range from keyX to keyX is a one-element range, but a range from tokenY to tokenY is the full ring.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KeyRange._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `count`
    `java.nio.ByteBuffer` | `end_key`
    `java.lang.String` | `end_token`
    `static java.util.Map<KeyRange._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `java.util.List<IndexExpression>` | `row_filter`
    `java.nio.ByteBuffer` | `start_key`
    `java.lang.String` | `start_token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyRange()`
    `KeyRange(int count)`
    `KeyRange(KeyRange other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToRow_filter(IndexExpression elem)`
    `java.nio.ByteBuffer` | `bufferForEnd_key()`
    `java.nio.ByteBuffer` | `bufferForStart_key()`
    `void` | `clear()`
    `int` | `compareTo(KeyRange other)`
    `KeyRange` | `deepCopy()`
    `boolean` | `equals(KeyRange that)`
    `boolean` | `equals(java.lang.Object that)`
    `KeyRange._Fields` | `fieldForId(int fieldId)`
    `int` | `getCount()`
    `byte[]` | `getEnd_key()`
    `java.lang.String` | `getEnd_token()`
    `java.lang.Object` | `getFieldValue(KeyRange._Fields field)`
    `java.util.List<IndexExpression>` | `getRow_filter()`
    `java.util.Iterator<IndexExpression>` | `getRow_filterIterator()`
    `int` | `getRow_filterSize()`
    `byte[]` | `getStart_key()`
    `java.lang.String` | `getStart_token()`
    `int` | `hashCode()`
    `boolean` | `isSet(KeyRange._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCount()` Returns true if field count is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEnd_key()` Returns true if field end_key is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEnd_token()` Returns true if field end_token is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRow_filter()` Returns true if field row_filter is set (has been assigned a value) and false otherwise
    `boolean` | `isSetStart_key()` Returns true if field start_key is set (has been assigned a value) and false otherwise
    `boolean` | `isSetStart_token()` Returns true if field start_token is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `KeyRange` | `setCount(int count)`
    `void` | `setCountIsSet(boolean value)`
    `KeyRange` | `setEnd_key(byte[] end_key)`
    `KeyRange` | `setEnd_key(java.nio.ByteBuffer end_key)`
    `void` | `setEnd_keyIsSet(boolean value)`
    `KeyRange` | `setEnd_token(java.lang.String end_token)`
    `void` | `setEnd_tokenIsSet(boolean value)`
    `void` | `setFieldValue(KeyRange._Fields field, java.lang.Object value)`
    `KeyRange` | `setRow_filter(java.util.List<IndexExpression> row_filter)`
    `void` | `setRow_filterIsSet(boolean value)`
    `KeyRange` | `setStart_key(byte[] start_key)`
    `KeyRange` | `setStart_key(java.nio.ByteBuffer start_key)`
    `void` | `setStart_keyIsSet(boolean value)`
    `KeyRange` | `setStart_token(java.lang.String start_token)`
    `void` | `setStart_tokenIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetCount()`
    `void` | `unsetEnd_key()`
    `void` | `unsetEnd_token()`
    `void` | `unsetRow_filter()`
    `void` | `unsetStart_key()`
    `void` | `unsetStart_token()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### start_key

          public java.nio.ByteBuffer start_key

    - #### end_key

          public java.nio.ByteBuffer end_key

    - #### start_token

          public java.lang.String start_token

    - #### end_token

          public java.lang.String end_token

    - #### row_filter

          public java.util.List<IndexExpression> row_filter

    - #### count

          public int count

    - #### metaDataMap

          public static final java.util.Map<KeyRange._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### KeyRange

          public KeyRange()

    - #### KeyRange

          public KeyRange(int count)

    - #### KeyRange

          public KeyRange(KeyRange other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public KeyRange deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<KeyRange,KeyRange._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<KeyRange,KeyRange._Fields>`

    - #### getStart_key

          public byte[] getStart_key()

    - #### bufferForStart_key

          public java.nio.ByteBuffer bufferForStart_key()

    - #### setStart_key

          public KeyRange setStart_key(byte[] start_key)

    - #### setStart_key

          public KeyRange setStart_key(java.nio.ByteBuffer start_key)

    - #### unsetStart_key

          public void unsetStart_key()

    - #### isSetStart_key

          public boolean isSetStart_key()

      Returns true if field start_key is set (has been assigned a value) and false otherwise

    - #### setStart_keyIsSet

          public void setStart_keyIsSet(boolean value)

    - #### getEnd_key

          public byte[] getEnd_key()

    - #### bufferForEnd_key

          public java.nio.ByteBuffer bufferForEnd_key()

    - #### setEnd_key

          public KeyRange setEnd_key(byte[] end_key)

    - #### setEnd_key

          public KeyRange setEnd_key(java.nio.ByteBuffer end_key)

    - #### unsetEnd_key

          public void unsetEnd_key()

    - #### isSetEnd_key

          public boolean isSetEnd_key()

      Returns true if field end_key is set (has been assigned a value) and false otherwise

    - #### setEnd_keyIsSet

          public void setEnd_keyIsSet(boolean value)

    - #### getStart_token

          public java.lang.String getStart_token()

    - #### setStart_token

          public KeyRange setStart_token(java.lang.String start_token)

    - #### unsetStart_token

          public void unsetStart_token()

    - #### isSetStart_token

          public boolean isSetStart_token()

      Returns true if field start_token is set (has been assigned a value) and false otherwise

    - #### setStart_tokenIsSet

          public void setStart_tokenIsSet(boolean value)

    - #### getEnd_token

          public java.lang.String getEnd_token()

    - #### setEnd_token

          public KeyRange setEnd_token(java.lang.String end_token)

    - #### unsetEnd_token

          public void unsetEnd_token()

    - #### isSetEnd_token

          public boolean isSetEnd_token()

      Returns true if field end_token is set (has been assigned a value) and false otherwise

    - #### setEnd_tokenIsSet

          public void setEnd_tokenIsSet(boolean value)

    - #### getRow_filterSize

          public int getRow_filterSize()

    - #### getRow_filterIterator

          public java.util.Iterator<IndexExpression> getRow_filterIterator()

    - #### addToRow_filter

          public void addToRow_filter(IndexExpression elem)

    - #### getRow_filter

          public java.util.List<IndexExpression> getRow_filter()

    - #### setRow_filter

          public KeyRange setRow_filter(java.util.List<IndexExpression> row_filter)

    - #### unsetRow_filter

          public void unsetRow_filter()

    - #### isSetRow_filter

          public boolean isSetRow_filter()

      Returns true if field row_filter is set (has been assigned a value) and false otherwise

    - #### setRow_filterIsSet

          public void setRow_filterIsSet(boolean value)

    - #### getCount

          public int getCount()

    - #### setCount

          public KeyRange setCount(int count)

    - #### unsetCount

          public void unsetCount()

    - #### isSetCount

          public boolean isSetCount()

      Returns true if field count is set (has been assigned a value) and false otherwise

    - #### setCountIsSet

          public void setCountIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(KeyRange._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<KeyRange,KeyRange._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(KeyRange._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<KeyRange,KeyRange._Fields>`

    - #### isSet

          public boolean isSet(KeyRange._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<KeyRange,KeyRange._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(KeyRange that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(KeyRange other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<KeyRange>`

    - #### fieldForId

          public KeyRange._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<KeyRange,KeyRange._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<KeyRange,KeyRange._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<KeyRange,KeyRange._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation